#!/usr/bin/env bash

# if .venv does not exist, create it
if [ ! -d ".venv" ]; then
    echo "Creating virtual environment..."
    python3 -m venv .venv
fi

. .venv/bin/activate

pip install -r requirements.txt

jupyter lab fft.ipynb
```